## org.eclipse.m2m.qvt.oml.debug.core.vm.protocol
Class BreakpointData

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.BreakpointData

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  NewBreakpointData

    public class BreakpointData

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`java.lang.String` `condition`
`boolean` `conditionEnabled`
`boolean` `conditionSuspendOnTrue`
`int` `hitCount`

Constructor Summary
`BreakpointData()`
`BreakpointData(BreakpointData data)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### condition

    public java.lang.String condition

### conditionEnabled

    public boolean conditionEnabled

### conditionSuspendOnTrue

    public boolean conditionSuspendOnTrue

### hitCount

    public int hitCount

Constructor Detail

### BreakpointData

    public BreakpointData()

### BreakpointData

    public BreakpointData(BreakpointData data)

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.